Author: jfrederic.clere(a)jboss.com
Date: 2012-01-05 03:59:31 -0500 (Thu, 05 Jan 2012)
New Revision: 2887
Modified:
trunk/build/unix/buildbin.mod_cluster.sh
Log:
Break the build if maven part failed.
Modified: trunk/build/unix/buildbin.mod_cluster.sh
===================================================================
--- trunk/build/unix/buildbin.mod_cluster.sh 2011-12-20 07:30:00 UTC (rev 2886)
+++ trunk/build/unix/buildbin.mod_cluster.sh 2012-01-05 08:59:31 UTC (rev 2887)
@@ -271,8 +271,12 @@
# Also build the java part.
(cd ../mod_cluster
mvn -P dist package -Djboss.server.log.dir=`pwd` -Djava.net.preferIPv4Stack=true
+ if [ $? -ne 0 ]; then
+ echo "maven build failed"
+ exit 1
+ fi
cp target/*-bin.* ${build_top}/output
-)
+) || exit 1
mkdir -p ${RPM_BUILD_ROOT}/${BASEHTTPD}/tools
(cd ../mod_cluster/test/java
ant compile
Show replies by date